import { AllEnterpriseModule } from 'ag-grid-enterprise';
function extractAgGridModuleNames(module, collectedModules = new Set()) {
    if (!module || !module.moduleName) {
        return collectedModules;
    }
    collectedModules.add(module);
    if (module.dependsOn) {
        module.dependsOn.forEach((dep) => {
            extractAgGridModuleNames(dep, collectedModules);
        });
    }
    return collectedModules;
}
export const ALL_AG_GRID_MODULES = extractAgGridModuleNames(AllEnterpriseModule);
export const AG_GRID_VERSION = AllEnterpriseModule.version;
